package com.ruoyi.system.model.doc;

import java.io.Serializable;
import java.util.List;

/**
 * @Author jiuli
 * @Date 2024/3/27
 */
public class CustomResponseModel implements Serializable {

    private Integer pageIndex;

    private Integer pageSize;

    private Integer pageCount;

    private Integer beginPageIndex;

    private Integer endPageIndex;

    private Integer recordCount;

    private String pubts;

    private List<RecordResponseModel> recordList;

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageCount() {
        return pageCount;
    }

    public void setPageCount(Integer pageCount) {
        this.pageCount = pageCount;
    }

    public Integer getBeginPageIndex() {
        return beginPageIndex;
    }

    public void setBeginPageIndex(Integer beginPageIndex) {
        this.beginPageIndex = beginPageIndex;
    }

    public Integer getEndPageIndex() {
        return endPageIndex;
    }

    public void setEndPageIndex(Integer endPageIndex) {
        this.endPageIndex = endPageIndex;
    }

    public Integer getRecordCount() {
        return recordCount;
    }

    public void setRecordCount(Integer recordCount) {
        this.recordCount = recordCount;
    }

    public String getPubts() {
        return pubts;
    }

    public void setPubts(String pubts) {
        this.pubts = pubts;
    }

    public List<RecordResponseModel> getRecordList() {
        return recordList;
    }

    public void setRecordList(List<RecordResponseModel> recordList) {
        this.recordList = recordList;
    }
}
